Get TaskStatusHistory
1 min
GET
https://dev1.frontu.com//client/api/v2/tasksstatushistory
Query Parameters
- taskstringDescription
- statusstringExampleDescription
- pagestringDescription
- itemsstringDescription
- versionstringDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonExampleExample with custom valuesExample of a stopped entry
Responses
200
- object
- next_pagenumberrequired
- itemsobject[]required
- taskstringrequiredMin Length1
- statusstringrequiredMin Length1
- createdstringrequiredMin Length1
- versionnumberrequired
- coordinatesstringrequiredMin Length1
- stopStatusMessagestringrequiredDescription
400
404
curl
curl --request GET \
--url https://dev1.frontu.com//client/api/v2/tasksstatushistory \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://dev1.frontu.com//client/api/v2/tasksstatushistory", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev1.frontu.com//client/api/v2/tasksstatushistory")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev1.frontu.com//client/api/v2/tasksstatushistory"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Returned when successful
{
"next_page": 0,
"items": [
{
"task": "",
"status": "",
"created": "",
"version": 0,
"coordinates": "",
"stopStatusMessage": ""
}
]
}400
// Returned when the status filter is not an integer or a comma separated list of integers
404
// Entity not found